Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.pagebus.message
Class PageBusMessageObject

    java.lang.Object
      com.tibco.bpm.web.client.model.pagebus.message.PageBusMessage
          com.tibco.bpm.web.client.model.pagebus.message.PageBusMessageObject

    public class PageBusMessageObject

extends PageBusMessage

Extends PageBusMessage to allow passing any Java Object in a PageBus message.

Note that this can be used with the Simple PageBus API and with topics that are not cached. The ManagedHub API and cached topics require that the message be JSON serializable which is provided by the PageBusMessage class.

This class is only JSON serializable if constructed with a message that is null or a String.

©2011 TIBCO Software Inc.

Since:
  1.2.0
See Also:
  `PageBusMessage`

Field Summary
`static java.lang.String` | `DEFAULT_SCHEMA_ID`

Constructor Summary
`PageBusMessageObject()` Constructs instance with: message set to: null schemaId set to: DEFAULT_SCHEMA_ID: "com.tibco.bpm.web.client.model.pagebus.message.PageBusMessageObject" topic set to: null
`PageBusMessageObject(java.lang.Object message)` Constructs instance with: schemaId set to: DEFAULT_SCHEMA_ID: "com.tibco.bpm.web.client.model.pagebus.message.PageBusMessageObject" topic set to: null
`PageBusMessageObject(java.lang.Object message, java.lang.String schemaId)` Constructs instance with: topic set to: null
`PageBusMessageObject(java.lang.Object message, java.lang.String schemaId, java.lang.String topic)` Constructor.
`PageBusMessageObject(java.lang.String schemaId, java.lang.Object message)` Deprecated. Use: `PageBusMessageObject(Object, String)`

Method Summary
`java.lang.Object` | `getJavaObject()`

Methods inherited from class com.tibco.bpm.web.client.model.pagebus.message.PageBusMessage
`createMessage, getMessage, getMessageType, getMessageType, getNativeMessage, getPageBusMessage, getSchemaId, getStringValue, getTopic, setSchemaId, setTopic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SCHEMA_ID

    public static final java.lang.String DEFAULT_SCHEMA_ID

See Also:
  Constant Field Values

Constructor Detail

### PageBusMessageObject

    public PageBusMessageObject()

  Constructs instance with:
  - message set to: null
  - schemaId set to: DEFAULT_SCHEMA_ID: "com.tibco.bpm.web.client.model.pagebus.message.PageBusMessageObject"
  - topic set to: null

### PageBusMessageObject

    public PageBusMessageObject(java.lang.Object message)

  Constructs instance with:
  - schemaId set to: DEFAULT_SCHEMA_ID: "com.tibco.bpm.web.client.model.pagebus.message.PageBusMessageObject"
  - topic set to: null

  Parameters:
    `message` - The message value that will be published. This may be null.

### PageBusMessageObject

    public PageBusMessageObject(java.lang.String schemaId,
                                java.lang.Object message)

  Deprecated. Use: `PageBusMessageObject(Object, String)`

  Constructs instance with:
  - topic set to: null

  Parameters:
    `schemaId` - An id for the message schema.
    `message` - The message value that will be published. This may be null.

### PageBusMessageObject

    public PageBusMessageObject(java.lang.Object message,
                                java.lang.String schemaId)

  Constructs instance with:
  - topic set to: null

  Parameters:
    `message` - The message value that will be published. This may be null.
    `schemaId` - An id for the message schema.

### PageBusMessageObject

    public PageBusMessageObject(java.lang.Object message,
                                java.lang.String schemaId,
                                java.lang.String topic)

  Constructor.

  Parameters:
    `message` - The message value that will be published. This may be null.
    `schemaId` - An id for the message schema.
    `topic` - The topic to publish the message on. This may be null.

Method Detail

### getJavaObject

    public java.lang.Object getJavaObject()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.